Bug 450703 - rkhunter cron job uses bad LOGFILE parameter
rkhunter cron job uses bad LOGFILE parameter
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: rkhunter (Show other bugs)
8
All Linux
low Severity low
: ---
: ---
Assigned To: Kevin Fenzi
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-06-10 11:14 EDT by long
Modified: 2008-07-26 02:00 EDT (History)
1 user (show)

See Also:
Fixed In Version: 1.3.2-4.fc9
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 1089691 (view as bug list)
Environment:
Last Closed: 2008-06-26 11:30:50 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description long 2008-06-10 11:14:10 EDT
Description of problem:
LOGFILE is set to /var/log/rkhunter.log in /etc/cron.daily/rkhunter while it is
set to /var/log/rkhunter/rkhunter.log in /etc/rkhunter.conf and in the logrotate
configuration

Version-Release number of selected component (if applicable):
rkhunter-1.3.2-3.fc8

How reproducible:
always

Steps to Reproduce:
1. install rkhunter-1.3.2-3.fc8
2. wait until nightly rkhunter run
3.
  
Actual results:
Get email saying:

/etc/cron.daily/logrotate:

error: stat of /var/log/rkhunter/rkhunter.log failed: No such file or directory

Expected results:
No email should be sent saying logrotate can't find the log file

Additional info:
Comment 1 Kevin Fenzi 2008-06-10 12:57:37 EDT
Yes, this is a bug on my part... the cron file didn't get updated for f7/f8
properly. ;( 

I will get it fixed soon. 

Thanks for the bug report. 
Comment 2 Fedora Update System 2008-06-17 15:03:35 EDT
rkhunter-1.3.2-4.fc9 has been submitted as an update for Fedora 9
Comment 3 Fedora Update System 2008-06-17 15:15:15 EDT
rkhunter-1.3.2-4.fc8 has been submitted as an update for Fedora 8
Comment 4 Kevin Fenzi 2008-06-17 15:27:49 EDT
This should be fixed in the above updates... can you test them and confirm they
solve the issue you are seeing?
Comment 5 Fedora Update System 2008-06-20 15:05:44 EDT
rkhunter-1.3.2-4.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update rkhunter'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-5455
Comment 6 long 2008-06-24 14:09:03 EDT
The update appears to be working just fine. Thanks
Comment 7 Fedora Update System 2008-06-26 04:32:44 EDT
rkhunter-1.3.2-4.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2008-06-26 04:33:29 EDT
rkhunter-1.3.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 9 Kevin Fenzi 2008-06-26 11:30:50 EDT
Closing this one now. Feel free to re-open or file a new bug if you spot any
further issues. 

Thanks for filing the bug!
Comment 10 Fedora Update System 2008-07-26 02:00:13 EDT
rkhunter-1.3.2-4.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.